<div>
    <h2 id="page-heading">
        <span jhiTranslate="locadoraApp.reserva.home.title">Reservas</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-reserva" [routerLink]="['/reserva/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="locadoraApp.reserva.home.createLabel">
            Create new Reserva
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="reservas">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="dataLocacaoPrevista"><span jhiTranslate="locadoraApp.reserva.dataLocacaoPrevista">Data Locacao Prevista</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="dataValidadeReserva"><span jhiTranslate="locadoraApp.reserva.dataValidadeReserva">Data Validade Reserva</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="observacao"><span jhiTranslate="locadoraApp.reserva.observacao">Observacao</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="userEmail"><span jhiTranslate="locadoraApp.reserva.user">User</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let reserva of reservas ;trackBy: trackId">
                <td><a [routerLink]="['/reserva', reserva.id, 'view' ]">{{reserva.id}}</a></td>
                <td>{{reserva.dataLocacaoPrevista | date:'mediumDate'}}</td>
                <td>{{reserva.dataValidadeReserva | date:'mediumDate'}}</td>
                <td>{{reserva.observacao}}</td>
                <td>
                    {{reserva.userEmail}}
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/reserva', reserva.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/reserva', reserva.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'reserva', { outlets: { popup: reserva.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <!-- Pager is not implemented yet, so this is normal pagination instead -->
    <div *ngIf="reservas && reservas.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
